#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 10. Graphics and Font Libraries

- Prev

  babl-0.1.108

- Next

  FreeType-2.13.2

- Up
- Home

# Exiv2-0.28.2

## Introduction to Exiv2

Exiv2 is a C++ library and a command line utility for managing image and video metadata.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/Exiv2/exiv2/archive/v0.28.2/exiv2-0.28.2.tar.gz

- Download MD5 sum: 75a8766216a15ad104f09ab4a0eab7ca

- Download size: 43 MB

- Estimated disk space required: 127 MB (with tests)

- Estimated build time: 0.3 SBU (Using parallelism=4, with tests)

### Exiv2 dependencies

#### Required

CMake-3.28.3

#### Recommended

Brotli-1.1.0, cURL-8.6.0, and inih-58

#### Optional

libssh

#### Optional for documentation

Doxygen-1.10.0, Graphviz-10.0.1, and libxslt-1.1.39

## Installation of Exiv2

Install Exiv2 by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr  \
          -DCMAKE_BUILD_TYPE=Release   \
          -DEXIV2_ENABLE_VIDEO=yes     \
          -DEXIV2_ENABLE_WEBREADY=yes  \
          -DEXIV2_ENABLE_CURL=yes      \
          -DEXIV2_BUILD_SAMPLES=no     \
          -G "Unix Makefiles" .. &&
    make

To test the results, issue: make test

Now, as the `root` user:

    make install

## Command Explanations

`-DEXIV2_ENABLE_VIDEO=yes`: This switch enables managing video metadata.

`-DEXIV2_ENABLE_WEBREADY=yes`: This switch enables managing web image metadata.

`-DEXIV2_BUILD_SAMPLES=no`: This switch is necessary to suppress building and installing sample programs. If the sample programs are built, 34 additional programs are installed in /usr/bin.

`-DEXIV2_ENABLE_CURL=yes`: This switch is necessary to enable network/http capabilities.

`-DEXIV2_ENABLE_INIH=no`: Use this switch if you have not installed inih-58.

`-DEXIV2_ENABLE_BROTLI=no`: Use this switch if you have not installed Brotli-1.1.0.

## Contents

Installed Program: exiv2
Installed Library: libexiv2.so
Installed Directories: /usr/include/exiv2 and /usr/lib/cmake/exiv2

### Short Descriptions

exiv2 | is a utility used to dump Exif data

- Prev

  babl-0.1.108

- Next

  FreeType-2.13.2

- Up
- Home